DROP DATABASE IF EXISTS EJ1;

CREATE DATABASE EJ1;

USE EJ1;

CREATE TABLE COMPONENTE(
	Nombre VARCHAR(30),
	Especificaciones VARCHAR(30),
	PRIMARY KEY(Nombre)
);
DESC COMPONENTE;

CREATE TABLE FABRICANTE(
	Cif VARCHAR(30),
	DomicilioSocial VARCHAR(30),
	PRIMARY KEY(Cif)
);
DESC FABRICANTE;

CREATE TABLE TIPO(
	Nombre VARCHAR(30),
	Caracteristicas VARCHAR(30),
	PRIMARY KEY(Nombre)
);
DESC TIPO;

CREATE TABLE APARATO(
	Codigo INT(4) ZEROFILL NOT NULL AUTO_INCREMENT,
	Descripcion VARCHAR(30),
	NombreTIPO VARCHAR(30),
	CaracteristicasTIPO VARCHAR(30),
	PRIMARY KEY(Codigo,NombreTIPO,CaracteristicasTIPO),
	FOREIGN KEY(NombreTIPO,CaracteristicasTIPO) REFERENCES TIPO(Nombre,Caracteristicas)
);
DESC APARATO;

